# Update domain webhook

Replace the list of urls by the given one with the url param. Here is the list of supported webhook: accepted, opened, clicked, unsubscribed, delivered, permanent_fail, temporary_fail and complained.

Endpoint: PUT /v3/domains/{domain_name}/webhooks/{webhook_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    The name of the domain you want to get webhook from

  - `webhook_name` (string, required)
    The webhook type to update.
    Enum: "accepted", "clicked", "opened", "unsubscribed", "delivered", "permanent_fail", "temporary_fail", "complained"

## Request fields (multipart/form-data):

  - `url` (string, required)
    New url(s) to associate to webhook. Use multiple times to associate more than one url. Maximum of 3 urls for a given type.

## Response 200 fields (application/json):

  - `message` (string, required)
    A message indicating success

  - `webhook` (object, required)
    Webhook details

  - `webhook.urls` (array)
    List of webhooks

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message


